> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook events

> Discover supported Webhook events.

MCP tool: `podcast_webhook_events`. OAuth scope: `podcast.read`.

<Warning>These subscriptions belong to the account. They do not provide completion notifications for the new Podcast flow. Use [task polling](/api-reference/guides/polling-and-outputs); see [Webhook availability](/api-reference/guides/webhooks).</Warning>


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/webhook_events
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/webhook_events:
    get:
      tags:
        - Podcast
      summary: webhook events
      description: Discover supported Webhook events.
      operationId: podcast_webhook_events
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.ListEventsResponse'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.ListEventsResponse:
      properties:
        events:
          description: 事件列表
          items:
            type: string
          type: array
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````